#!C:\Program Files\Python25

import os
import telnetlib
import sys
import datetime
import string
import time
from time import localtime, strftime

TIME = strftime("%H%M%S", localtime())
IP_CPE = "192.168.254.251"
PASSWORD = "installer"
ESC = chr(27)
ITERATE = 1200

# Open file for writing
outfile = open("LinkQuality_" + TIME +".txt","wb")

# Create a new telnet connection to the CPE
telnet = telnetlib.Telnet(IP_CPE)

# Authenticate the connection
telnet.read_until("Enter the password: ")
telnet.write(PASSWORD + "\r\n")
telnet.read_until("Enter your choice > ")
telnet.write("7\r\n")
telnet.read_until("Enter your choice > ")

print "Starting the link quality display...\r\n"

# Start the link quality display
telnet.write("1\r\n")
telnet.read_until("Started. Press ESC to stop...")

# Loop while fetching one line at the time
for i in range(1, ITERATE + 1):
	LINK_DATA = telnet.read_until("\n")
	CUR_TIME = strftime("%H:%M:%S", localtime())
	outfile.write(CUR_TIME + " " + LINK_DATA)
	print CUR_TIME + " " + LINK_DATA ,
else:
	# Clean up and exit
	telnet.write(ESC)
	telnet.write("9\r\n")

	telnet.close()
	outfile.close()